import { request } from 'umi';

// 添加导航权限
export async function addSupPermission(data: object) {
  return request('/api/admin/addSupPermission',{
    method:'post',
    data,
  });
}

// 权限详情
export async function selectAllById(id: number) {
  return request('/api/admin/selectAllById',{
    method:'post',
    data:{
      id
    },
  });
}

// 添加导航下级权限
//  name:权限名称
//  url: 权限路径
//  superId: 上级名称
//  type: 接口类型
export async function addPermission(data: object) {
  return request('/api/admin/addPermission',{
    method:'post',
    data,
  });
}

// 删除权限
export async function deleteById(id: number) {
  return request('/api/admin/deleteById',{
    method:'post',
    data:{
      id
    },
  });
}

